## ros-humble-librealsense2 2.54.1

=== common/CMakeLists.txt ===
# License: Apache 2.0. See LICENSE file in root directory.
# Copyright(c) 2019 Intel Corporation. All Rights Reserved.

set(COMMON_SRC
    "${CMAKE_CURRENT_LIST_DIR}/animated.h"
    "${CMAKE_CURRENT_LIST_DIR}/float2.h"
    "${CMAKE_CURRENT_LIST_DIR}/float3.h"
    "${CMAKE_CURRENT_LIST_DIR}/float4.h"
    "${CMAKE_CURRENT_LIST_DIR}/matrix4.h"
    "${CMAKE_CURRENT_LIST_DIR}/plane.h"
    "${CMAKE_CURRENT_LIST_DIR}/rect.h"
    "${CMAKE_CURRENT_LIST_DIR}/rendering.h"
    "${CMAKE_CURRENT_LIST_DIR}/model-views.h"
    "${CMAKE_CURRENT_LIST_DIR}/model-views.cpp"
    "${CMAKE_CURRENT_LIST_DIR}/notifications.h"
    "${CMAKE_CURRENT_LIST_DIR}/notifications.cpp"
    "${CMAKE_CURRENT_LIST_DIR}/calibration-model.h"
    "${CMAKE_CURRENT_LIST_DIR}/calibration-model.cpp"
    "${CMAKE_CURRENT_LIST_DIR}/viewer.h"
    "${CMAKE_CURRENT_LIST_DIR}/viewer.cpp"
    "${CMAKE_CURRENT_LIST_DIR}/ux-window.h"
    "${CMAKE_CURRENT_LIST_DIR}/ux-window.cpp"
    "${CMAKE_CURRENT_LIST_DIR}/ux-alignment.cpp"
    "${CMAKE_CURRENT_LIST_DIR}/ux-alignment.h"
    "${CMAKE_CURRENT_LIST_DIR}/opengl3.cpp"
    "${CMAKE_CURRENT_LIST_DIR}/opengl3.h"
    "${CMAKE_CURRENT_LIST_DIR}/rs-config.h"
    "${CMAKE_CURRENT_LIST_DIR}/rs-config.cpp"
    "${CMAKE_CURRENT_LIST_DIR}/os.h"
    "${CMAKE_CURRENT_LIST_DIR}/os.cpp"
    "${CMAKE_CURRENT_LIST_DIR}/fw-update-helper.h"
    "${CMAKE_CURRENT_LIST_DIR}/fw-update-helper.cpp"
    "${CMAKE_CURRENT_LIST_DIR}/metadata-helper.h"
    "${CMAKE_CURRENT_LIST_DIR}/metadata-helper.cpp"
    "${CMAKE_CURRENT_LIST_DIR}/output-model.h"
    "${CMAKE_CURRENT_LIST_DIR}/output-model.cpp"
    "${CMAKE_CURRENT_LIST_DIR}/skybox.h"
    "${CMAKE_CURRENT_LIST_DIR}/skybox.cpp"
    "${CMAKE_CURRENT_LIST_DIR}/measurement.h"
    "${CMAKE_CURRENT_LIST_DIR}/measurement.cpp"
    "${CMAKE_CURRENT_LIST_DIR}/on-chip-calib.h"
    "${CMAKE_CURRENT_LIST_DIR}/on-chip-calib.cpp"
    "${CMAKE_CURRENT_LIST_DIR}/updates-model.h"
    "${CMAKE_CURRENT_LIST_DIR}/updates-model.cpp"
    "${CMAKE_CURRENT_LIST_DIR}/option-model.h"
    "${CMAKE_CURRENT_LIST_DIR}/option-model.cpp"
    "${CMAKE_CURRENT_LIST_DIR}/device-model.cpp"
    "${CMAKE_CURRENT_LIST_DIR}/device-model.h"
    "${CMAKE_CURRENT_LIST_DIR}/subdevice-model.h"
    "${CMAKE_CURRENT_LIST_DIR}/subdevice-model.cpp"
    "${CMAKE_CURRENT_LIST_DIR}/processing-block-model.h"
    "${CMAKE_CURRENT_LIST_DIR}/processing-block-model.cpp"
    "${CMAKE_CURRENT_LIST_DIR}/stream-model.h"
    "${CMAKE_CURRENT_LIST_DIR}/stream-model.cpp"
    "${CMAKE_CURRENT_LIST_DIR}/post-processing-filters.h"
    "${CMAKE_CURRENT_LIST_DIR}/post-processing-filters.cpp"
    )

set(SW_UPDATE_FILES
    "${CMAKE_CURRENT_LIST_DIR}/sw-update/http-downloader.h"
    "${CMAKE_CURRENT_LIST_DIR}/sw-update/http-downloader.cpp"
    "${CMAKE_CURRENT_LIST_DIR}/sw-update/dev-updates-profile.h"
    "${CMAKE_CURRENT_LIST_DIR}/sw-update/dev-updates-profile.cpp"
    "${CMAKE_CURRENT_LIST_DIR}/sw-update/versions-db-manager.h"
    "${CMAKE_CURRENT_LIST_DIR}/sw-update/versions-db-manager.cpp"
    )

set(REFLECTIVITY_FILES
    "${CMAKE_CURRENT_LIST_DIR}/reflectivity/reflectivity.h"
    "${CMAKE_CURRENT_LIST_DIR}/reflectivity/reflectivity.cpp"
    )

set(UTILITIES_FILES
    "${CMAKE_CURRENT_LIST_DIR}/utilities/imgui/wrap.h"
    "${CMAKE_CURRENT_LIST_DIR}/utilities/imgui/wrap.cpp"
    )

set(COMMON_SRC
    ${COMMON_SRC}
    ${SW_UPDATE_FILES}
    ${REFLECTIVITY_FILES}
    ${UTILITIES_FILES}
    )

=== examples/CMakeLists.txt ===
# License: Apache 2.0. See LICENSE file in root directory.
# Copyright(c) 2019 Intel Corporation. All Rights Reserved.
#  minimum required cmake version: 3.1.0
cmake_minimum_required(VERSION 3.1.0)

project(RealsenseExamples)

# Save the command line compile commands in the build output
set(CMAKE_EXPORT_COMPILE_COMMANDS 1)
# View the makefile commands during build
#set(CMAKE_VERBOSE_MAKEFILE on)

if(BUILD_GRAPHICAL_EXAMPLES)
    include(${CMAKE_SOURCE_DIR}/CMake/opengl_config.cmake)
else()
    if(ANDROID_NDK_TOOLCHAIN_INCLUDED)
        find_library(log-lib log)
        set(DEPENDENCIES realsense2 log)
    else()
        set(DEPENDENCIES realsense2)
    endif()
endif()

add_subdirectory(hello-realsense)
add_subdirectory(software-device)
add_subdirectory(capture)
add_subdirectory(callback)
add_subdirectory(save-to-disk)
add_subdirectory(multicam)
add_subdirectory(pointcloud)
add_subdirectory(align)
add_subdirectory(align-advanced)
add_subdirectory(sensor-control)
add_subdirectory(measure)
add_subdirectory(C/depth)
add_subdirectory(C/color)
add_subdirectory(C/distance)
add_subdirectory(post-processing)
add_subdirectory(record-playback)
add_subdirectory(motion)
add_subdirectory(gl)
add_subdirectory(hdr)

=== common/fw/CMakeLists.txt ===
# License: Apache 2.0. See LICENSE file in root directory.
# Copyright(c) 2019 Intel Corporation. All Rights Reserved.
cmake_minimum_required(VERSION 3.1.3)

project(fw)

file(READ "firmware-version.h" ver)

message(STATUS "Fetching recommended firmwares:")

set(REALSENSE_FIRMWARE_URL "https://librealsense.intel.com" CACHE STRING
    "URL to download firmware binaries from")

string(REGEX MATCH "D4XX_RECOMMENDED_FIRMWARE_VERSION \"([0-9]+.[0-9]+.[0-9]+.[0-9]+)\"" _ ${ver})
set(D4XX_FW_VERSION ${CMAKE_MATCH_1})
#message(STATUS "D4XX_FW_VERSION: ${D4XX_FW_VERSION}")
set(D4XX_FW_SHA1 b4dfa2ceb46e9b79c2d64480b149f188f7538e65)
set(D4XX_FW_URL "${REALSENSE_FIRMWARE_URL}/Releases/RS4xx/FW")

string(REGEX MATCH "SR3XX_RECOMMENDED_FIRMWARE_VERSION \"([0-9]+.[0-9]+.[0-9]+.[0-9]+)\"" _ ${ver})
set(SR3XX_FW_VERSION ${CMAKE_MATCH_1})
#message(STATUS "SR3XX_FW_VERSION: ${SR3XX_FW_VERSION}")
set(SR3XX_FW_SHA1 55237dba5d7db20e7c218975375d05b4210e9460)
set(SR3XX_FW_URL "${REALSENSE_FIRMWARE_URL}/Releases/SR300/FW")

string(REGEX MATCH "L51X_RECOMMENDED_FIRMWARE_VERSION \"([0-9]+\.[0-9]+\.[0-9]+\.[0-9]+)\"" _ ${ver})
set(L51X_FW_VERSION ${CMAKE_MATCH_1})
#message(STATUS "L51X_FW_VERSION: ${L51X_FW_VERSION}")
set(L51X_FW_SHA1 ab73e5bfc520c0aa0340cada4b3e317b8fd31a4d)
set(L51X_FW_URL "${REALSENSE_FIRMWARE_URL}/Releases/L5xx/FW")

add_library(${PROJECT_NAME} STATIC empty.c)

# disable link time optimization for fw by adding -fno-lto to disable -flto flag
# jammy debian has build errors without it
if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
  message(STATUS "disable link time optimization for fw project")
  target_compile_options(${PROJECT_NAME} PRIVATE -fno-lto)
endif()

if (MSVC)
  # lib.exe can't handle multiple .res files, so include them in one.
  # even then, the linker won't grab a .res out of a .lib object, so it needs to be explicitly listed
  # and to find the name of the .res file (across cmake generators) we need to create our own rule. :(
  add_custom_command(TARGET ${PROJECT_NAME} BYPRODUCTS ${PROJECT_NAME}.res COMMAND ${CMAKE_RC_COMPILER} ${CMAKE_RC_FLAGS} /I . /fo "${PROJECT_NAME}.res" "${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}.rc")
  target_link_libraries(${PROJECT_NAME} PUBLIC "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.res")
endif()

target_include_directories(${PROJECT_NAME} PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>)
set_target_properties (${PROJECT_NAME} PROPERTIES FOLDER Resources)

function(target_binary url version sha1 symbol ext)
  set(binary "${CMAKE_CURRENT_BINARY_DIR}/${symbol}-${version}${ext}")
  message(STATUS "... ${url}/${symbol}-${version}${ext}")
  file(DOWNLOAD "${url}/${symbol}-${version}${ext}" "${binary}"
       EXPECTED_HASH SHA1=${sha1}
       STATUS status)
  list(GET status 0 error_code)
  if (NOT ${error_code} EQUAL 0)
      message(FATAL_ERROR "FAILED with status ${status}")
  else()
      #message(STATUS "Download firmware ${status} for ${symbol}-${version}${ext}")
  endif()
  string(TOUPPER ${symbol} SYMBOL)
  string(REPLACE "." "," version_commas ${version})
  string(REPLACE "\\" "\\\\" binary_escaped "${binary}")
  configure_file(fw.c.in  "${CMAKE_CURRENT_BINARY_DIR}/${symbol}.c" @ONLY)
  configure_file(fw.h.in  "${CMAKE_CURRENT_BINARY_DIR}/${symbol}.h" @ONLY)
  configure_file(fw.rc.in "${CMAKE_CURRENT_BINARY_DIR}/${symbol}.rc" @ONLY)
  if (MSVC)
    enable_language(RC)
    set_source_files_properties("${PROJECT_NAME}.rc" OBJECT_DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/${symbol}.rc")
    set_source_files_properties("${CMAKE_CURRENT_BINARY_DIR}/${symbol}.rc" OBJECT_DEPENDS "${binary}")
  else()
    set_source_files_properties("${CMAKE_CURRENT_BINARY_DIR}/${symbol}.c" OBJECT_DEPENDS "${binary}")
  endif()
  target_sources(${PROJECT_NAME} PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/${symbol}.c")
endfunction()

target_binary( "${D4XX_FW_URL}"  "${D4XX_FW_VERSION}"  "${D4XX_FW_SHA1}" D4XX_FW_Image .bin)
target_binary( "${SR3XX_FW_URL}"  "${SR3XX_FW_VERSION}"  "${SR3XX_FW_SHA1}" SR3XX_FW_Image .bin)
target_binary( "${L51X_FW_URL}"  "${L51X_FW_VERSION}"  "${L51X_FW_SHA1}" L51X_FW_Image .bin)


install(TARGETS ${PROJECT_NAME} EXPORT realsense2Targets
        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})

=== examples/gl/CMakeLists.txt ===
# License: Apache 2.0. See LICENSE file in root directory.
# Copyright(c) 2019 Intel Corporation. All Rights Reserved.
#  minimum required cmake version: 3.1.0
cmake_minimum_required(VERSION 3.1.0)

project(RealsenseExamplesGL)

# Save the command line compile commands in the build output
set(CMAKE_EXPORT_COMPILE_COMMANDS 1)

if(BUILD_GRAPHICAL_EXAMPLES AND NOT APPLE)
    #pointcloud
    add_executable(rs-gl rs-gl.cpp ../example.hpp)
    set_property(TARGET rs-gl PROPERTY CXX_STANDARD 11)
    target_link_libraries(rs-gl ${DEPENDENCIES} realsense2-gl)
    include_directories(../)
    set_target_properties (rs-gl PROPERTIES FOLDER Examples)
    install(TARGETS rs-gl RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
endif()

=== src/ds/CMakeLists.txt ===
# License: Apache 2.0. See LICENSE file in root directory.
# Copyright(c) 2022 Intel Corporation. All Rights Reserved.

include(${_rel_path}/ds/d400/CMakeLists.txt)

target_sources(${LRS_TARGET}
    PRIVATE
        "${CMAKE_CURRENT_LIST_DIR}/ds-device-common.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/ds-motion-common.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/ds-color-common.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/ds-active-common.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/ds-private.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/ds-timestamp.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/ds-options.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/advanced_mode/rs_advanced_mode.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/advanced_mode/presets.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/advanced_mode/advanced_mode.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/ds-calib-parsers.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/ds-device-common.h"
        "${CMAKE_CURRENT_LIST_DIR}/ds-motion-common.h"
        "${CMAKE_CURRENT_LIST_DIR}/ds-color-common.h"
        "${CMAKE_CURRENT_LIST_DIR}/ds-active-common.h"
        "${CMAKE_CURRENT_LIST_DIR}/ds-private.h"
        "${CMAKE_CURRENT_LIST_DIR}/ds-timestamp.h"
        "${CMAKE_CURRENT_LIST_DIR}/ds-options.h"
        "${CMAKE_CURRENT_LIST_DIR}/advanced_mode/json_loader.hpp"
        "${CMAKE_CURRENT_LIST_DIR}/advanced_mode/presets.h"
        "${CMAKE_CURRENT_LIST_DIR}/ds-calib-parsers.h"
)

=== src/gl/CMakeLists.txt ===
# License: Apache 2.0. See LICENSE file in root directory.
# Copyright(c) 2019 Intel Corporation. All Rights Reserved.

cmake_minimum_required(VERSION 2.8.9...3.20.5)

project(realsense2-gl)

set(REALSENSE_GL_CPP
    synthetic-stream-gl.h
    synthetic-stream-gl.cpp
    yuy2rgb-gl.h
    yuy2rgb-gl.cpp
    y4112rgb-gl.h
    y4112rgb-gl.cpp
    pointcloud-gl.h
    pointcloud-gl.cpp
    rs-gl.cpp
    realsense-gl.def
    ../../include/librealsense2-gl/rs_processing_gl.h
    ../../include/librealsense2-gl/rs_processing_gl.hpp
    ../../third-party/glad/glad.c
    ../../common/opengl3.cpp
    ../../common/opengl3.h
    pc-shader.cpp
    pc-shader.h
    camera-shader.cpp
    camera-shader.h
    upload.h
    upload.cpp
    colorizer-gl.h
    colorizer-gl.cpp
    align-gl.h
    align-gl.cpp
    ${LZ4_DIR}/lz4.h
    ${LZ4_DIR}/lz4.c
)

set(REALSENSE_GL_PUBLIC_HEADERS
    ../../include/librealsense2-gl/rs_processing_gl.h
    ../../include/librealsense2-gl/rs_processing_gl.hpp
)

set(CMAKECONFIG_GL_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}/cmake/${LRS_GL_TARGET}")

include(${CMAKE_SOURCE_DIR}/CMake/opengl_config.cmake)

if (${BUILD_SHARED_LIBS} AND ${BUILD_EASYLOGGINGPP})
    list(APPEND REALSENSE_GL_CPP ../../third-party/easyloggingpp/src/easylogging++.cc)
endif()

source_group("3rd Party" FILES
    ../../third-party/glad/glad.c)

source_group("API" FILES
    ../../include/librealsense2-gl/rs_processing_gl.h
    ../../include/librealsense2-gl/rs_processing_gl.hpp
    realsense-gl.def)

add_library(${LRS_GL_TARGET} ${REALSENSE_GL_CPP})

if(BUILD_SHARED_LIBS)
    add_definitions(-DSHARED_LIBS)
endif()

include_directories(${LZ4_DIR})

target_include_directories(${PROJECT_NAME}
    PRIVATE
        ${CMAKE_CURRENT_LIST_DIR}/..
        ${CMAKE_CURRENT_LIST_DIR}/../../third-party/glad
        ${CMAKE_CURRENT_LIST_DIR}/../../common
    PUBLIC
        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/../../include>
        $<INSTALL_INTERFACE:include>
)

set_target_properties(${PROJECT_NAME} PROPERTIES FOLDER Library)
set_target_properties(${PROJECT_NAME} PROPERTIES PUBLIC_HEADER "${REALSENSE_GL_PUBLIC_HEADERS}")
set_target_properties(${PROJECT_NAME} PROPERTIES VERSION ${REALSENSE_VERSION_STRING} SOVERSION "${REALSENSE_VERSION_MAJOR}.${REALSENSE_VERSION_MINOR}")
write_basic_package_version_file("${CMAKE_CURRENT_BINARY_DIR}/realsense2-glConfigVersion.cmake"
    VERSION ${REALSENSE_VERSION_STRING} COMPATIBILITY AnyNewerVersion)

configure_package_config_file(../../CMake/realsense2-glConfig.cmake.in realsense2-glConfig.cmake
    INSTALL_DESTINATION ${CMAKECONFIG_GL_INSTALL_DIR}
    INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX}/bin
    PATH_VARS CMAKE_INSTALL_INCLUDEDIR
)

configure_file(../../config/librealsense-gl.pc.in ../../config/realsense2-gl.pc @ONLY)

target_link_libraries( ${PROJECT_NAME}
    PRIVATE
        ${DEPENDENCIES}
    )

# CMake prior to 3.13 cannot install targets located in sub-directories.
#https://gitlab.kitware.com/cmake/cmake/merge_requests/2152
# Hence these targets will be invoked from the project and not the root directory
install(TARGETS ${LRS_GL_TARGET}
    EXPORT realsense2-glTargets
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
    PUBLIC_HEADER DESTINATION "${CMAKE_INSTALL_PREFIX}/include/librealsense2-gl"
)

install(EXPORT realsense2-glTargets
    FILE realsense2-glTargets.cmake
    NAMESPACE ${LRS_GL_TARGET}::
    DESTINATION ${CMAKECONFIG_GL_INSTALL_DIR}
)

install(FILES "${CMAKE_BINARY_DIR}/src/gl/realsense2-glConfig.cmake"
    DESTINATION ${CMAKECONFIG_GL_INSTALL_DIR}
)

install(FILES "${CMAKE_BINARY_DIR}/src/gl/realsense2-glConfigVersion.cmake"
        DESTINATION ${CMAKECONFIG_GL_INSTALL_DIR}
)

# Set library pkgconfig file for facilitating 3rd party integration
install(FILES "${CMAKE_BINARY_DIR}/config/realsense2-gl.pc"
        DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig"
)

install(CODE "execute_process(COMMAND ldconfig)")

=== src/l500/CMakeLists.txt ===
# License: Apache 2.0. See LICENSE file in root directory.
# Copyright(c) 2019 Intel Corporation. All Rights Reserved.
target_sources(${LRS_TARGET}
    PRIVATE
        "${CMAKE_CURRENT_LIST_DIR}/l500-depth.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/l500-private.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/l500-color.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/l500-device.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/l500-motion.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/l500-factory.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/l500-fw-update-device.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/l500-serializable.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/l500-options.cpp"

        "${CMAKE_CURRENT_LIST_DIR}/l500-depth.h"
        "${CMAKE_CURRENT_LIST_DIR}/l500-private.h"
        "${CMAKE_CURRENT_LIST_DIR}/l500-color.h"
        "${CMAKE_CURRENT_LIST_DIR}/l500-device.h"
        "${CMAKE_CURRENT_LIST_DIR}/l500-motion.h"
        "${CMAKE_CURRENT_LIST_DIR}/l500-factory.h"
        "${CMAKE_CURRENT_LIST_DIR}/l500-fw-update-device.h"
        "${CMAKE_CURRENT_LIST_DIR}/l500-serializable.h"
        "${CMAKE_CURRENT_LIST_DIR}/l500-options.h"
)

=== third-party/rsutils/CMakeLists.txt ===
# License: Apache 2.0. See LICENSE file in root directory.
# Copyright(c) 2022 Intel Corporation. All Rights Reserved.
cmake_minimum_required(VERSION 3.8.0)  # source_group(TREE)
project( rsutils )

add_library( ${PROJECT_NAME} STATIC "" )
set_target_properties( ${PROJECT_NAME} PROPERTIES FOLDER Library )

target_include_directories( ${PROJECT_NAME}
    PUBLIC
        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
)

# Headers -----------------------------------------------------------------------------------
#
set( UTILITIES_INCLUDE_DIR "${CMAKE_CURRENT_LIST_DIR}/include/rsutils" )
file(GLOB_RECURSE UTILITIES_HEADER_FILES
    LIST_DIRECTORIES false
    RELATIVE ${CMAKE_CURRENT_LIST_DIR}
    "${UTILITIES_INCLUDE_DIR}/*.h"
)
if( BUILD_EASYLOGGINGPP )
    target_sources( ${PROJECT_NAME}
        PRIVATE "${REPO_ROOT}/third-party/easyloggingpp/src/easylogging++.h" )
endif()
target_sources( ${PROJECT_NAME} PRIVATE ${UTILITIES_HEADER_FILES} )
source_group(
    TREE ${UTILITIES_INCLUDE_DIR}
    PREFIX "Header Files"
    FILES ${UTILITIES_HEADER_FILES} )


# Sources -----------------------------------------------------------------------------------
#
set( UTILITIES_SRC_DIR "${CMAKE_CURRENT_LIST_DIR}/src" )
file(GLOB_RECURSE UTILITIES_SOURCE_FILES
    LIST_DIRECTORIES false
    RELATIVE ${CMAKE_CURRENT_LIST_DIR}
    "${UTILITIES_SRC_DIR}/*"
)
if( BUILD_EASYLOGGINGPP )
    target_sources( ${PROJECT_NAME}
        PRIVATE "${REPO_ROOT}/third-party/easyloggingpp/src/easylogging++.cc" )
    # We want to disable any default ELPP log-file!
    target_compile_definitions( ${PROJECT_NAME}
        PUBLIC ELPP_NO_DEFAULT_LOG_FILE )
endif()
target_sources( ${PROJECT_NAME} PRIVATE ${UTILITIES_SOURCE_FILES} )
source_group(
    TREE ${UTILITIES_SRC_DIR}
    PREFIX "Source Files"
    FILES ${UTILITIES_SOURCE_FILES} )


# EasyLogging++ uses global variables that need to be declared somewhere. It therefore
# introduces a macro, INITIALIZE_EASYLOGGINGPP, that needs to be inserted in the code.
# If a client of ours wants to use the easylogging macros, they must do this, or they
# can use this macro in their CMake project file:
#
macro( _using_easyloggingpp include_dir )
    #
    # using_easyloggingpp( <project-name> [SHARED | STATIC] )
    #       [SHARED] only initialize when BUILD_SHARED_LIBS is ON
    #       [STATIC] only initialize when BUILD_SHARED_LIBS is OFF
    #
    # Projects that depend on realsense2 (and want to use ELPP themselves) need [SHARED]
    # because realsense2 always includes the initialization.
    #
    function( using_easyloggingpp target_name )
        set( func_ARGN ARGN )  # otherwise we get the outside macro's ARGN
        cmake_parse_arguments( ARG "SHARED;STATIC" "" "" ${${func_ARGN}} )
        if( ARG_STATIC AND ARG_SHARED )
            message( FATAL_ERROR "Can't be both STATIC and SHARED" )
        elseif( ARG_SHARED )
            if( NOT BUILD_SHARED_LIBS )
                return()
            endif()
        elseif( ARG_STATIC )
            if( BUILD_SHARED_LIBS )
                return()
            endif()
        endif()

        target_sources( ${target_name}
            PRIVATE "${include_dir}/easylogging/elpp-init.cpp" )
    endfunction()
endmacro()
_using_easyloggingpp( ${UTILITIES_INCLUDE_DIR} )


# Install -----------------------------------------------------------------------------------
#
install( TARGETS ${PROJECT_NAME}
    EXPORT realsense2Targets
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
    )


# Python ------------------------------------------------------------------------------------
#
if( BUILD_PYTHON_BINDINGS )
    add_subdirectory( py )
endif()

=== tools/benchmark/CMakeLists.txt ===
# License: Apache 2.0. See LICENSE file in root directory.
# Copyright(c) 2019 Intel Corporation. All Rights Reserved.
#  minimum required cmake version: 3.1.0
cmake_minimum_required(VERSION 3.1.0)

project(RealsenseToolsBenchmark)

# Save the command line compile commands in the build output
set(CMAKE_EXPORT_COMPILE_COMMANDS 1)

if(BUILD_GRAPHICAL_EXAMPLES)
    add_executable(rs-benchmark rs-benchmark.cpp ../../third-party/glad/glad.c)
    set_property(TARGET rs-benchmark PROPERTY CXX_STANDARD 11)
    target_link_libraries(rs-benchmark ${DEPENDENCIES} realsense2-gl)
    include_directories(../../third-party/tclap/include ../../third-party/glad ../../examples)
    set_target_properties (rs-benchmark PROPERTIES
        FOLDER Tools
    )

    install(
        TARGETS

        rs-benchmark

        RUNTIME DESTINATION
        ${CMAKE_INSTALL_BINDIR}
    )
endif()

=== tools/depth-quality/CMakeLists.txt ===
# License: Apache 2.0. See LICENSE file in root directory.
# Copyright(c) 2019 Intel Corporation. All Rights Reserved.
#  minimum required cmake version: 3.1.0
cmake_minimum_required(VERSION 3.1.0)

project(RealsenseToolsDepthQuality)
project( rs-depth-quality  )

if(WIN32)
    add_executable( ${PROJECT_NAME} WIN32 "" )
else()
    add_executable( ${PROJECT_NAME} "" )
endif()

set(THREADS_PREFER_PTHREAD_FLAG ON)
find_package(Threads REQUIRED)

include_directories(${CMAKE_BINARY_DIR})

using_easyloggingpp( ${PROJECT_NAME} SHARED )

include(../../common/CMakeLists.txt)

SET(DELAYED
    realsense2d.dll
    realsense2-gld.dll
    realsense2.dll
    realsense2-gl.dll
)

if(BUILD_GRAPHICAL_EXAMPLES)
    set(RS_QUALITY_TOOL_CPP
        ${COMMON_SRC}
        rs-depth-quality.cpp
        depth-quality-model.h
        depth-quality-model.cpp
        depth-metrics.h
        ../../common/realsense-ui-advanced-mode.h
        ../../third-party/imgui/imgui.cpp
        ../../third-party/imgui/imgui_draw.cpp
        ../../third-party/imgui/imgui_impl_glfw.cpp
        ../../third-party/imgui/imgui-fonts-karla.hpp
        ../../third-party/imgui/imgui-fonts-fontawesome.hpp
        ../../third-party/glad/glad.c
        ../../third-party/tinyfiledialogs/tinyfiledialogs.c
        ../../third-party/tinyfiledialogs/tinyfiledialogs.h
        )

    if(WIN32)
        target_sources( ${PROJECT_NAME}
            PRIVATE
                ${RS_QUALITY_TOOL_CPP}
                ${CMAKE_CURRENT_SOURCE_DIR}/res/resource.h
                ${CMAKE_CURRENT_SOURCE_DIR}/res/realsense-viewer.rc
                ../../common/windows-app-bootstrap.cpp)

        set_property(TARGET rs-depth-quality PROPERTY CXX_STANDARD 11)
        source_group("Resources" FILES
                ${CMAKE_CURRENT_SOURCE_DIR}/res/resource.h
                ${CMAKE_CURRENT_SOURCE_DIR}/res/realsense-viewer.rc)

        source_group("3rd Party" FILES
            ../../third-party/tinyfiledialogs/tinyfiledialogs.c
            ../../third-party/tinyfiledialogs/tinyfiledialogs.h
            ../../third-party/imgui/imgui.cpp
            ../../third-party/imgui/imgui_draw.cpp
            ../../third-party/imgui/imgui_impl_glfw.cpp
            ../../third-party/imgui/imgui-fonts-karla.hpp
            ../../third-party/imgui/imgui-fonts-fontawesome.hpp)

        source_group("Utils" FILES
            depth-quality-model.h
            depth-quality-model.cpp
            depth-metrics.h
            ${COMMON_SRC})

        include_directories(../../common  ../../third-party
                            ../../third-party/imgui
                            ../../third-party/glad
                            ../../third-party/tclap/include
                            ../../third-party/tinyfiledialogs
                            ${CMAKE_CURRENT_SOURCE_DIR}/res/)

        #list(TRANSFORM DELAYED PREPEND " /DELAYLOAD:")
        PREPEND(DELAYED " /DELAYLOAD:" ${DELAYED})
        #infoValue(DELAYED)
        string(REPLACE ";" " " LD_FLAGS_STR "${DELAYED}")
        set_target_properties(rs-depth-quality PROPERTIES LINK_FLAGS "${LD_FLAGS_STR}")

    else()
        target_sources( ${PROJECT_NAME}
            PRIVATE
                ${RS_QUALITY_TOOL_CPP}
            )

        include_directories(../../common  ../../third-party
                            ../../third-party/imgui
                            ../../third-party/glad
                            ../../third-party/tinyfiledialogs
                            ../../third-party/tclap/include)
    endif()

    source_group("SW-Update" FILES ${SW_UPDATE_FILES})

    if (CHECK_FOR_UPDATES)
        message( STATUS "Check for updates capability added to realsense-depth-quality" )
        add_dependencies(rs-depth-quality libcurl)
        target_link_libraries(rs-depth-quality curl)
    endif()

    target_link_libraries(rs-depth-quality ${DEPENDENCIES}
                                           ${GTK3_LIBRARIES}
                                           Threads::Threads
                                           realsense2-gl)

    if (IMPORT_DEPTH_CAM_FW)
        add_definitions(-DINTERNAL_FW)
        target_link_libraries(rs-depth-quality fw)
    endif()




    set_target_properties (rs-depth-quality PROPERTIES
        FOLDER Tools
    )

    target_include_directories(rs-depth-quality PRIVATE ../../src)

    install(
        TARGETS

        rs-depth-quality

        RUNTIME DESTINATION
        ${CMAKE_INSTALL_BINDIR}
    )
endif()

=== tools/embed/CMakeLists.txt ===
# License: Apache 2.0. See LICENSE file in root directory.
# Copyright(c) 2021 Intel Corporation. All Rights Reserved.

cmake_minimum_required(VERSION 3.1.0)

project(RealsenseToolsEmbed)

# Save the command line compile commands in the build output
set(CMAKE_EXPORT_COMPILE_COMMANDS 1)

add_executable(rs-embed
   rs-embed.cpp
   ${LZ4_DIR}/lz4.h
   ${LZ4_DIR}/lz4.c
)

set_property(TARGET rs-embed PROPERTY CXX_STANDARD 11)

include_directories(rs-embed ${LZ4_DIR} ../../third-party ../../third-party/tclap/include)
set_target_properties (rs-embed PROPERTIES FOLDER Tools)


install(
    TARGETS
    rs-embed
    RUNTIME DESTINATION
    ${CMAKE_INSTALL_PREFIX}/bin
)

=== tools/realsense-viewer/CMakeLists.txt ===
# License: Apache 2.0. See LICENSE file in root directory.
# Copyright(c) 2019 Intel Corporation. All Rights Reserved.
#  minimum required cmake version: 3.1.0
cmake_minimum_required(VERSION 3.1.0)

project(realsense-viewer)

if(WIN32)
    add_executable( ${PROJECT_NAME} WIN32 "" )
else()
    add_executable( ${PROJECT_NAME} "" )
endif()

set(THREADS_PREFER_PTHREAD_FLAG ON)
find_package(Threads REQUIRED)

include_directories(${CMAKE_BINARY_DIR})

using_easyloggingpp( ${PROJECT_NAME} SHARED )

include(../../common/CMakeLists.txt)

if(BUILD_GRAPHICAL_EXAMPLES)
    set(RS_VIEWER_CPP
    ${COMMON_SRC}
    realsense-viewer.cpp
    ../../third-party/imgui/imgui.cpp
    ../../third-party/imgui/imgui_draw.cpp
    ../../third-party/imgui/imgui_impl_glfw.cpp
    ../../third-party/imgui/imgui-fonts-karla.hpp
    ../../third-party/imgui/imgui-fonts-fontawesome.hpp
    ../../common/realsense-ui-advanced-mode.h
    ../../common/rendering.h
    ../../common/model-views.h
    ../../common/model-views.cpp
    ../../common/ux-window.h
    ../../common/ux-window.cpp
    ../../common/ux-alignment.cpp
    ../../common/ux-alignment.h
    ../../common/processing-block-model.h
    ../../common/post-processing-block-model.h
    ../../common/post-processing-filter.h
    ../../common/post-processing-worker-filter.h
    ../../common/post-processing-filters-list.h
    ../../common/objects-in-frame.h
    ../../third-party/glad/glad.c
    ../../third-party/tinyfiledialogs/tinyfiledialogs.c
    ../../third-party/tinyfiledialogs/tinyfiledialogs.h
    ../../common/opengl3.cpp
    ../../common/opengl3.h
    ../../common/rs-config.h
    ../../common/rs-config.cpp
    ../../common/os.h
    ../../common/os.cpp
)

SET(DELAYED
    realsense2d.dll
    realsense2-gld.dll
    realsense2.dll
    realsense2-gl.dll
)

if(DEFINED OpenCV_DIR  AND  IS_DIRECTORY ${OpenCV_DIR})

    find_package(OpenCV REQUIRED)

    get_property(deps VARIABLE PROPERTY DEPENDENCIES)
    set(DEPENDENCIES ${deps} ${OpenCV_LIBS})
    include_directories( ../../wrappers/opencv )

    list(APPEND DELAYED
        opencv_highgui341.dll
        opencv_core341.dll
        opencv_imgproc341.dll
        opencv_dnn341.dll
        opencv_highgui341d.dll
        opencv_core341d.dll
        opencv_imgproc341d.dll
        opencv_dnn341d.dll
    )

endif()

include(../../wrappers/openvino/check_vino_version.cmake)

if(DEFINED INTEL_OPENVINO_DIR  AND  IS_DIRECTORY ${INTEL_OPENVINO_DIR})

    message( STATUS "Enabling OpenVINO face-detection for realsense-viewer ..." )
    set(IE_ROOT_DIR "${INTEL_OPENVINO_DIR}/inference_engine")
    include(${INTEL_OPENVINO_DIR}/inference_engine/share/InferenceEngineConfig.cmake)

    get_property(deps VARIABLE PROPERTY DEPENDENCIES)

    check_vino_version()
    if(OPENVINO2019)
        set(DEPENDENCIES ${deps} ${InferenceEngine_LIBRARIES} ie_cpu_extension)
    elseif(OPENVINO_NGRAPH)
        include(${INTEL_OPENVINO_DIR}/deployment_tools/ngraph/cmake/ngraphConfig.cmake)
        set(DEPENDENCIES ${deps} ${InferenceEngine_LIBRARIES} ${NGRAPH_LIBRARIES})
    else()
        set(DEPENDENCIES ${deps} ${InferenceEngine_LIBRARIES})
    endif()

    include_directories( ../../wrappers/openvino )
    include_directories( ../../wrappers/opencv )
    include_directories( ${InferenceEngine_INCLUDE_DIRS} )

    if(OPENVINO2019)
    # We need additional access to ext_list.hpp, for CPU extension support:
    include_directories( "${IE_ROOT_DIR}/src/extension" )
    elseif(OPENVINO_NGRAPH)
    include_directories( "${INTEL_OPENVINO_DIR}/deployment_tools/ngraph/include" )
    endif()

    set(OPENVINO_FILES
        ../../wrappers/openvino/rs-vino/base-detection.cpp
        ../../wrappers/openvino/rs-vino/base-detection.h
        ../../wrappers/openvino/rs-vino/object-detection.cpp
        ../../wrappers/openvino/rs-vino/object-detection.h
        ../../wrappers/openvino/rs-vino/age-gender-detection.cpp
        ../../wrappers/openvino/rs-vino/age-gender-detection.h
        ../../wrappers/openvino/rs-vino/detected-object.cpp
        ../../wrappers/openvino/rs-vino/detected-object.h
        ../../wrappers/openvino/rs-vino/openvino-helpers.h
        )

    if(OPENVINO2019)
        set(OPENVINO_FILES ${OPENVINO_FILES} "${IE_ROOT_DIR}/src/extension/ext_list.hpp")
    endif()

    set(RS_VIEWER_CPP
        ${RS_VIEWER_CPP}
        openvino-face-detection.cpp
        ${OPENVINO_FILES}
        )

    include(../../wrappers/openvino/dl_vino_model.cmake)
    # Download model files -- these will go into build/tools/realsense-viewer, which is also
    # where the sample is run from in Visual Studio

    if(OPENVINO2019)
    dl_vino_model( "README.txt"                              "789e144d6cafa379c8437d2a6860829b6d935a8d" )
    dl_vino_model( "face-detection-adas-0001.bin"            "1625f05ada1d8e78e36856def7124f78cd0a6c2a" )
    dl_vino_model( "face-detection-adas-0001.xml"            "11c36f6e4488b2f5437ccff9f330d02545087ab3" )
    dl_vino_model( "age-gender-recognition-retail-0013.bin"  "206f6e97e53cd600fcac7d31e1c56accbbe461b9" )
    dl_vino_model( "age-gender-recognition-retail-0013.xml"  "2654d7f1638d575b8d1886f8128deae2ea79ee55" )
    else()
    # Newer model files with IRv10, 2020.1 and later
    dl_vino_model( "README.txt"                              "789e144d6cafa379c8437d2a6860829b6d935a8d" )
    dl_vino_model( "face-detection-adas-0001.bin"  "065e9015297c7adbc650ebfc17176477cd0a4279" )
    dl_vino_model( "face-detection-adas-0001.xml"  "331be642a248213f586ec1d1b71c223435a437e3" )
    dl_vino_model( "age-gender-recognition-retail-0013.bin"  "206f6e97e53cd600fcac7d31e1c56accbbe461b9" )
    dl_vino_model( "age-gender-recognition-retail-0013.xml"  "36bde5d4d42d29515abe871f69097ffcf4ff6414" )
    endif()

    list(APPEND DELAYED
        cpu_extension.dll
        inference_engine.dll
        libmmd.dll
        mkl_tiny_tbb.dll
        MKLDNNPlugin.dll
        opencv_core412.dll
        opencv_imgproc412.dll
        svml_dispmd.dll
        tbb.dll
        tbbmalloc.dll
    )
endif()

# config-ui
if(WIN32)
    target_sources( ${PROJECT_NAME} PRIVATE
        ${RS_VIEWER_CPP}
        ${CMAKE_CURRENT_SOURCE_DIR}/res/resource.h
        ${CMAKE_CURRENT_SOURCE_DIR}/res/realsense-viewer.rc
        ../../common/windows-app-bootstrap.cpp
        )

    source_group("3rd Party" FILES
        ../../third-party/tinyfiledialogs/tinyfiledialogs.c
        ../../third-party/tinyfiledialogs/tinyfiledialogs.h
        ../../third-party/imgui/imgui.cpp
        ../../third-party/imgui/imgui_draw.cpp
        ../../third-party/imgui/imgui_impl_glfw.cpp
        ../../third-party/imgui/imgui-fonts-karla.hpp
        ../../third-party/imgui/imgui-fonts-fontawesome.hpp
        )

    source_group("Resources" FILES
        ${CMAKE_CURRENT_SOURCE_DIR}/res/resource.h
        ${CMAKE_CURRENT_SOURCE_DIR}/res/realsense-viewer.rc)

    source_group("OpenVINO" FILES ${OPENVINO_FILES})

    #list(TRANSFORM DELAYED PREPEND " /DELAYLOAD:")  - Requires cmake v3.12
    PREPEND(DELAYED " /DELAYLOAD:" ${DELAYED})
    string(REPLACE ";" " " LD_FLAGS_STR "${DELAYED}")
    set_target_properties(realsense-viewer PROPERTIES LINK_FLAGS "${LD_FLAGS_STR}")

else()
    target_sources( ${PROJECT_NAME} PRIVATE
        ${RS_VIEWER_CPP}
    )
endif()

if(OPENVINO2019)
    target_compile_definitions(realsense-viewer PRIVATE OPENVINO2019)
endif()

if(OPENVINO_NGRAPH)
    target_compile_definitions(realsense-viewer PRIVATE OPENVINO_NGRAPH)
endif()

source_group("SW-Update" FILES ${SW_UPDATE_FILES})

include_directories(
    ../../common
    ../../third-party
    ../../third-party/tinyfiledialogs
    ${GLFW_SOURCE_DIR}/include
    ../../third-party/imgui
    ../../third-party/glad
    )


set_property(TARGET realsense-viewer PROPERTY CXX_STANDARD 11)

set(RS_VIEWER_LIBS ${GTK3_LIBRARIES} Threads::Threads realsense2-gl)

if (CHECK_FOR_UPDATES)
    message( STATUS "Check for updates capability added to realsense-viewer" )
    add_dependencies(realsense-viewer libcurl)
    set(RS_VIEWER_LIBS ${RS_VIEWER_LIBS} curl)
endif()

if (IMPORT_DEPTH_CAM_FW)
    add_definitions(-DINTERNAL_FW)
    target_link_libraries(realsense-viewer fw)
endif()

target_link_libraries(realsense-viewer ${DEPENDENCIES} ${RS_VIEWER_LIBS})

set_target_properties (realsense-viewer PROPERTIES
    FOLDER Tools
)

target_include_directories(realsense-viewer PRIVATE ../../src)

install(
    TARGETS realsense-viewer
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
)
#https://cmake.org/cmake/help/latest/command/install.html
install(DIRECTORY presets/
    DESTINATION $ENV{HOME}/Documents/librealsense2/presets
    FILES_MATCHING PATTERN "*.preset"
)
endif()

=== debian/changelog ===
ros-humble-librealsense2 (2.54.1-1jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- LibRealSense ROS Team <librs.ros@intel.com>  Wed, 21 Jun 2023 12:16:38 -0000

=== debian/control ===
Source: ros-humble-librealsense2
Section: misc
Priority: optional
Maintainer: LibRealSense ROS Team <librs.ros@intel.com>
Build-Depends: debhelper (>= 9.0.0), dkms, libssl-dev, libudev-dev, libusb-1.0-0-dev, pkg-config, ros-humble-ament-cmake, udev, ros-humble-ros-workspace
Homepage: https://github.com/IntelRealSense/librealsense/
Standards-Version: 3.9.2

Package: ros-humble-librealsense2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-ros-workspace
Description: Library for controlling and capturing data from the Intel(R) RealSense(TM) D400 devices.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-librealsense2//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-librealsense2 2.55.1

=== debian/changelog ===
ros-humble-librealsense2 (2.55.1-1bookworm) bookworm; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- LibRealSense ROS Team <librs.ros@intel.com>  Tue, 27 Aug 2024 10:08:03 -0000

=== debian/control ===
Source: ros-humble-librealsense2
Section: misc
Priority: optional
Maintainer: LibRealSense ROS Team <librs.ros@intel.com>
Build-Depends: debhelper (>= 9.0.0), cmake, dkms, git, libgl1-mesa-dev, libglfw3-dev, libglu1-mesa-dev, libssl-dev, libudev-dev, libusb-1.0-0-dev, libx11-dev, pkg-config, udev, ros-humble-ros-workspace
Homepage: https://github.com/IntelRealSense/librealsense/
Standards-Version: 3.9.2

Package: ros-humble-librealsense2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgl1-mesa-dev, libglfw3-dev, libglu1-mesa-dev, libx11-dev, ros-humble-ros-workspace
Description: Library for controlling and capturing data from the Intel(R) RealSense(TM) D400 devices.

=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,9 @@
 	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
 endif
 
+# Solve shlibdeps errors in REP136 packages that use GNUInstallDirs:
+export DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
 DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
@@ -33,7 +36,6 @@
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
-		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
 		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
 		$(BUILD_TESTING_ARG)
 
@@ -57,7 +59,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-librealsense2//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-librealsense2//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-librealsense2//opt/ros/humble/lib/${DEB_HOST_MULTIARCH}
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
